import { createStore } from 'vuex'
// 类似 Redux 中的建立状态树

export default createStore({
  state: {
    TaskId:'',
    plotLineList:{
      tBottom:null,
      tTop:null,
      hBottom:null,
      hTop:null
    },
    focuDatas:null//获取到焦点
  },
  getters: {
   
  },
  mutations: {
    setfocuFun(state,data){//获取到焦点
      state.focuDatas = data
    },
    setplotData(state,data){
      console.log('存储',data)
      state.plotLineList = data
    },
    setTaskId(state,data){
      state.TaskId = data;
    }
  },
  actions: {
  },
})

